[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#420782: ocaml-nox: ocamldoc -latex output needs texlive-latex-extras

Package: ocaml-nox
Version: 3.09.2-9
Severity: normal

In the course of adding ocamldoc-generated documentation to one of my
packages, I used the "doc" target of OCamlMakefile, which does both
"ocamldoc -html ..." and "ocamldoc -latex ...".  The resulting .tex
files depend on fullpage.sty, which wasn't on my system, so the build

I found that fullpage.sty is provided by the texlive-latex-extras
package.  Should there be a "Suggests: texlive-latex-extras" in the
ocaml-nox package?  (I don't think so ... tex seems too far removed
from ocaml.)  Some Debian-specific language in the ocamldoc man page,
or a README.ocamldoc file (probably the best option, IMO)?

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ocaml-nox depends on:
ii  binutils                      2.17-3     The GNU assembler, linker and bina
ii  gcc                           4:4.1.1-15 The GNU C compiler
ii  libncurses5-dev               5.5-5      Developer's libraries and docs for
ii  ocaml-base-nox [ocaml-base-no 3.09.2-9   Runtime system for ocaml bytecode 
ii  ocaml-interp [ocaml-interp-3. 3.09.2-9   Ocaml interpreter and standard lib

Versions of packages ocaml-nox recommends:
ii  file                          4.20-4     Determines file type using "magic"
ii  ledit                         1.11-8     line editor for interactive progra

-- no debconf information

Reply to: